### Enumeration

# Gio DBusInterfaceSkeletonFlags

since: 2.30

#### Declaration

    flags Gio.DBusInterfaceSkeletonFlags

#### Description [src]

Flags describing the behavior of a `GDBusInterfaceSkeleton` instance.

Available since: 2.30

#### Members

`G_DBUS_INTERFACE_SKELETON_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.30
`G_DBUS_INTERFACE_SKELETON_FLAGS_HANDLE_METHOD_INVOCATIONS_IN_THREAD`

  Each method invocation is handled in a thread dedicated to the invocation. This means that the method implementation can use blocking IO without blocking any other part of the process. It also means that the method implementation must use locking to access data structures used by other threads.

  - Value: `1`
  - Available since: 2.30